#include "Sound.h"
#include <stdexcept>
#include <fstream>
#include <Resource/File.h>

using namespace gge::resource;

namespace gorgon {

	Sound *LoadSound(Base *parent, File &File, std::istream &Data, int Size) {
		Sound *snd=new Sound;
		gge::resource::LoadSound(snd, Data, Size);
		snd->SetGuid(snd->gge::resource::Base::guid);
		return snd;
	}

}